RPM Community Forums

Mailing List Message of <rpm-users>

rpm-5.1.6 and the zlib dependency

From: Eric MSP Veith <eveith@wwweb-library.net>
Date: Sat 18 Oct 2008 - 21:50:53 CEST
Message-Id: <200810181950.57198.eveith@wwweb-library.net>
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hello,

the RPM 5.1.6 "INSTALL" file says that the RPM sources come with a modified 
zlib, and that it is recommended to use that internal distribution of zlib. 
However, there's no zlib to be found, and the ./configure script complains 
and breaks when --with-zlib=internal is passed.

AFAIR, zlib was still bundled with version 5.1.4. The ChangeLog states that 
it was removed in 5.1.5, so I guess the INSTALL file is now somewhat out of 
date?

		-- Eric
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEUEARECAAYFAkj6Ph0ACgkQfkUtd7QNU/u8AQCUCe16PgWFlFvjAUYEhXpAAt+W
pQCfcxdfO8PoAgt8kxeLyE6K/r7F3BY=
=Tlrm
-----END PGP SIGNATURE-----
Received on Sat Oct 18 21:51:00 2008
Driven by Jeff Johnson and the RPM project team.
Hosted by OpenPKG and Ralf S. Engelschall.
Powered by FreeBSD and OpenPKG.